<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateProyectistas extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('proyectistas')
			->addColumn('proyecto', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('proyectista', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('fecha', 'date', ['default' => null, 'null' => true])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
